-------------------------------------------------------------------------------
--[[
 * Файл предназначен для описания вспомагающих функций, позволяющих стандартизировать
 * и упростить работу с игровыми "скринами".
--]]
-------------------------------------------------------------------------------

--[[
 * Функция отображает сообщение, информирующее об окончании прохождения версии игры,
 * предназначеной для опроса (survey). После закрытия данного сообщения выполняется
 * переход в PromoScreen.
--]]
function showSurveyDialog()
	local msg = StringManager:getString('END_OF_SURVEY')
	local callback = function()
						PopUpScreensMgr:destroyAll()
						current_scene = nil

						createPromoScreen()
					 end

	createOkScreen(msg, callback, false)
end
-------------------------------------------------------------------------------

--[[
 * Функция отображает сообщение, информирующее об окончании прохождения демонстрационной
 * версии игры. После закрытия данного сообщения выполняется выход в главное меню.
--]]
function showDemoDialog()
	local msg = StringManager:getString('DEMO_COMPLETED')
	local callback = function()
						PopUpScreensMgr:destroyAll()
						current_scene = nil

						createMainMenu()
					 end
					 
	createOkScreen(msg, callback, false)
end
-------------------------------------------------------------------------------

--[[
* Функция для отображения системных сообщений в Ok Screen'e
]]
function displayMessage(text)
	createOkScreen(text, nil, false)
end